Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450889 - ICE while compiling staden-io_lib package on ppc
Summary: ICE while compiling staden-io_lib package on ppc
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: powerpc
OS: Linux
low
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 444735
TreeView+ depends on / blocked
 
Reported: 2008-06-11 16:49 UTC by Christian Iseli
Modified: 2008-08-10 11:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-12 14:44:31 UTC


Attachments (Terms of Use)
preprocessed file (deleted)
2008-06-11 16:49 UTC, Christian Iseli
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 36508 None None None Never

Description Christian Iseli 2008-06-11 16:49:03 UTC
Description of problem:
gcc gets an ICE while compiling the staden-io_lib package


Version-Release number of selected component (if applicable): 4.3.1-1


How reproducible:
grab staden-io_lib srpm from devel branch and launch mock on it

  
Actual results:
ctfCompress.c: In function 'ctfCompress3Init':                                 
        ctfCompress.c:334: internal compiler error: in compute_antic, at
tree-ssa-pre.c:2020    Please submit a full bug report,                        
                               with preprocessed source if appropriate.        
                                       See <http://bugzilla.redhat.com/bugzilla>
for instructions.                             Preprocessed source stored into
/tmp/cc25Vev4.out file, please attach this to your bugreport.


Expected results:


Additional info:
/tmp/cc25Vev4.out is attached

Comment 1 Christian Iseli 2008-06-11 16:49:03 UTC
Created attachment 308958 [details]
preprocessed file

Comment 2 Christian Iseli 2008-06-12 14:35:10 UTC
FWIW, the koji build succeeds on F-8, but fails on F-9 (and devel, of course).

Comment 3 Jakub Jelinek 2008-06-25 09:52:20 UTC
The fix is now in gcc-4.3.1-3 in rawhide.

Comment 4 Jason Tibbitts 2008-08-10 11:33:11 UTC
Was there any intention of fixing this issue in Fedora 9?


Note You need to log in before you can comment on or make changes to this bug.